import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiDateTimeField } from "./AbstractUiDateTimeField";
import { UiLocalDateTimeFieldCommandHandler, UiLocalDateTimeFieldConfig, UiLocalDateTimeFieldEventSource } from "../../../generated/UiLocalDateTimeFieldConfig";
declare type LocalDateTimeArray = [number, number, number, number, number, number, number];
export declare class UiLocalDateTimeField extends AbstractUiDateTimeField<UiLocalDateTimeFieldConfig, LocalDateTimeArray> implements UiLocalDateTimeFieldEventSource, UiLocalDateTimeFieldCommandHandler {
    protected initialize(config: UiLocalDateTimeFieldConfig, context: TeamAppsUiContext): void;
    protected getTimeZone(): string;
    isValidData(v: LocalDateTimeArray): boolean;
    protected displayCommittedValue(): void;
    private static toDateTime;
    getTransientValue(): LocalDateTimeArray;
    getReadOnlyHtml(value: LocalDateTimeArray, availableWidth: number): string;
    getDefaultValue(): LocalDateTimeArray;
    valuesChanged(v1: LocalDateTimeArray, v2: LocalDateTimeArray): boolean;
}
export {};
